'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _About = require('../sections/About');

var _About2 = _interopRequireDefault(_About);

var _LoginFormContainer = require('../../containers/login/LoginFormContainer');

var _LoginFormContainer2 = _interopRequireDefault(_LoginFormContainer);

var _LoginPage = require('../../../styles/cspace-ui/LoginPage.css');

var _LoginPage2 = _interopRequireDefault(_LoginPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global window */

const propTypes = {
  history: _propTypes2.default.object.isRequired,
  location: _propTypes2.default.object.isRequired,
  closeModal: _propTypes2.default.func,
  resetLogin: _propTypes2.default.func,
  onMount: _propTypes2.default.func
};

class LoginPage extends _react.Component {
  constructor(props) {
    super(props);

    this.handleSuccess = this.handleSuccess.bind(this);
  }

  componentDidMount() {
    const onMount = this.props.onMount;


    if (onMount) {
      onMount();
    }
  }

  handleSuccess() {
    var _props = this.props;
    const history = _props.history,
          location = _props.location,
          closeModal = _props.closeModal,
          resetLogin = _props.resetLogin;


    const landing = (0, _get2.default)(location, ['state', 'continuation']) || '';

    return new Promise(resolve => {
      window.setTimeout(() => {
        // The login modal might be open. Ensure it is closed.

        if (closeModal) {
          closeModal();
        }

        if (resetLogin) {
          resetLogin();
        }

        history.replace(landing);

        resolve();
      }, 0);
    });
  }

  render() {
    return _react2.default.createElement(
      'div',
      { className: _LoginPage2.default.common },
      _react2.default.createElement(
        'div',
        { className: _LoginPage2.default.about },
        _react2.default.createElement(_About2.default, null)
      ),
      _react2.default.createElement(
        'div',
        { className: _LoginPage2.default.login },
        _react2.default.createElement(_LoginFormContainer2.default, { onSuccess: this.handleSuccess })
      )
    );
  }
}

exports.default = LoginPage;
LoginPage.propTypes = propTypes;