'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  const formatOption = configContext.formatHelpers.formatOption;


  return {
    default: {
      screenName: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.account.default.screenName',
            'defaultMessage': 'Full Name'
          }
        }),
        order: 10,
        width: 250
      },
      status: {
        formatValue: (data, formatterContext) => formatOption('accountStatuses', data, formatterContext),
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.account.default.status',
            'defaultMessage': 'Status'
          }
        }),
        order: 20,
        width: 50
      }
    }
  };
};