'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termDisplayName'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termType'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termLanguage'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termFullCitation'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:citations_common/citationTermGroupList/citationTermGroup/termTitle'
    }, ...extensions.core.advancedSearch]
  };
};