'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/objectNumber'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/responsibleDepartments/responsibleDepartment'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/collection'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/recordStatus'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/titleGroupList/titleGroup/title'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/objectNameList/objectNameGroup/objectName'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/objectStatusList/objectStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/sex'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/phase'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/forms/form'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/editionNumber'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/styles/style'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/materialGroupList/materialGroup/material'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/objectComponentGroupList/objectComponentGroup/objectComponentName'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/technicalAttributeGroupList/technicalAttributeGroup/technicalAttribute'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/nonTextualInscriptionGroupList/nonTextualInscriptionGroup/inscriptionDescriptionInscriber'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/nonTextualInscriptionGroupList/nonTextualInscriptionGroup/inscriptionDescriptionMethod'
    }, {
      op: OP_RANGE,
      path: 'ns2:collectionobjects_common/objectProductionDateGroupList/objectProductionDateGroup'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/techniqueGroupList/techniqueGroup/technique'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/objectProductionPlaceGroupList/objectProductionPlaceGroup/objectProductionPlace'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/objectProductionPeopleGroupList/objectProductionPeopleGroup/objectProductionPeople'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/objectProductionPersonGroupList/objectProductionPersonGroup/objectProductionPerson'
    }, {
      op: OP_EQ,
      path: 'ns2:collectionobjects_common/objectProductionOrganizationGroupList/objectProductionOrganizationGroup/objectProductionOrganization'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:collectionobjects_common/fieldColEventNames/fieldColEventName'
    }, ...extensions.core.advancedSearch]
  };
};