'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:exhibitions_common/exhibitionNumber'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/type'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:exhibitions_common/title'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/sponsors/sponsor'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/organizers/organizer'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venue'
    }, {
      op: OP_RANGE,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venueOpeningDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venueClosingDate'
    }, ...extensions.core.advancedSearch]
  };
};