'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termDisplayName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termName'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termLanguage'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locationType'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/securityNote'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/address'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/accessNote'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/conditionGroupList/conditionGroup/conditionNote'
    }, ...extensions.core.advancedSearch]
  };
};