'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => data => {
  const getPart = configContext.recordDataHelpers.getPart;
  const getDisplayName = configContext.refNameHelpers.getDisplayName;
  const formatDate = configContext.formatHelpers.formatDate;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'movements_common');

  if (!common) {
    return '';
  }

  const currentLocation = getDisplayName(common.get('currentLocation'));
  const locationDate = formatDate(common.get('locationDate'));

  return [currentLocation, locationDate].filter(part => !!part).join(' – ');
};